Subject: Re: bug#63187: 30.0.50; Tail of longer lines painted after end of nearby lines on macOS

From: Aaron Jensen <[email-masked]>
Date: Mon, 1 May 2023 20:32:52 -0400

On Mon, May 1, 2023 at 8:07 PM Po Lu <[email-masked]> wrote:
>
> Alan Third <[email-masked]> writes:
>
> > Po Lu asks about how it synchronises with the system, and it doesn't
> > really have to. The system draws into the same buffer that copyRect
> > accesses. It does make me wonder if there's a rare occasion when
> > copyRect is called and the system hasn't flushed all it's drawing
> > instructions to the buffer yet. It's probably possible to force it to
> > flush by doing something like:
> >
> >     [[NSGraphicsContext currentContext] flushGraphics];
> >
> > at the top of copyRect. Preferably only on macOS 10.14 and above, but
> > it probably makes no difference on other platforms since scrollRect
> > should force a flush anyway.
>
> Hmm... Aaron, could you try that?

I'll try it after I try running w/ the invalidate change. I'll report
back if that doesn't fix it and try the flush.

Aaron